Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2486313003: Make GOMA_DIR injected from env. (Closed)

Created:
2 years, 7 months ago by Yoshisato Yanagisawa
Modified:
2 years, 5 months ago
Reviewers:
*bradnelson, ukai
CC:
native-client-reviews_googlegroups.com, shinyak, tikuta
Target Ref:
refs/heads/master
Project:
nacl
Visibility:
Public.

Description

Make GOMA_DIR injected from env. Also, if NOCONTROL_GOMA environment is set, the script will not start/stop goma compiler_proxy. I am going to make goma recipe module start/stop goma compiler_proxy in the future, and the environment will be used at that time. BUG=663630 Committed: https://chromium.googlesource.com/native_client/src/native_client/+/163dfeb43e76995b4265ecd4e78670f7dd432e44

Patch Set 1 #

Total comments: 2

Patch Set 2 : moved NOSTART_GOMA and renamed it. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -3 lines) Patch
M buildbot/buildbot_pnacl_toolchain.py View 1 4 chunks +7 lines, -3 lines 0 comments Download

Messages

Total messages: 18 (6 generated)
Yoshisato Yanagisawa
2 years, 7 months ago (2016-11-10 07:51:06 UTC) #3
ukai
lgtm https://codereview.chromium.org/2486313003/diff/1/buildbot/buildbot_pnacl_toolchain.py File buildbot/buildbot_pnacl_toolchain.py (right): https://codereview.chromium.org/2486313003/diff/1/buildbot/buildbot_pnacl_toolchain.py#newcode34 buildbot/buildbot_pnacl_toolchain.py:34: start_goma = not os.environ.get('NOSTART_GOMA') this will be used ...
2 years, 7 months ago (2016-11-10 08:01:07 UTC) #4
Yoshisato Yanagisawa
https://codereview.chromium.org/2486313003/diff/1/buildbot/buildbot_pnacl_toolchain.py File buildbot/buildbot_pnacl_toolchain.py (right): https://codereview.chromium.org/2486313003/diff/1/buildbot/buildbot_pnacl_toolchain.py#newcode34 buildbot/buildbot_pnacl_toolchain.py:34: start_goma = not os.environ.get('NOSTART_GOMA') On 2016/11/10 08:01:07, ukai wrote: ...
2 years, 7 months ago (2016-11-10 08:32:38 UTC) #7
ukai
lgtm
2 years, 7 months ago (2016-11-11 02:56:10 UTC) #8
bradnelson
lgtm
2 years, 7 months ago (2016-11-11 19:44:03 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2486313003/20001
2 years, 7 months ago (2016-11-11 19:44:04 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/native_client/src/native_client/+/163dfeb43e76995b4265ecd4e78670f7dd432e44
2 years, 7 months ago (2016-11-14 16:14:20 UTC) #13
Derek Schuff
On 2016/11/14 16:14:20, commit-bot: I haz the power wrote: > Committed patchset #2 (id:20001) as ...
2 years, 5 months ago (2017-01-03 20:33:04 UTC) #14
Fumitoshi Ukai
On 2017/01/03 20:33:04, Derek Schuff wrote: > On 2016/11/14 16:14:20, commit-bot: I haz the power ...
2 years, 5 months ago (2017-01-05 06:07:43 UTC) #15
Yoshisato Yanagisawa
Ah, this should be the case wrapping with goma module does not work well. compiler_proxy ...
2 years, 5 months ago (2017-01-05 07:32:00 UTC) #16
Derek Schuff
On 2017/01/05 07:32:00, Yoshisato Yanagisawa wrote: > Ah, this should be the case wrapping with ...
2 years, 5 months ago (2017-01-05 17:49:25 UTC) #17
Yoshisato Yanagisawa
2 years, 5 months ago (2017-01-06 01:24:34 UTC) #18
Message was sent while issue was closed.
On 2017/01/05 17:49:25, Derek Schuff wrote:
> On 2017/01/05 07:32:00, Yoshisato Yanagisawa wrote:
> > Ah, this should be the case wrapping with goma module does not work well.
> > compiler_proxy <-> gomacc communication does not work well in this case.  We
> > might need to set GOMA_TMP_DIR as a workaround.
> > 
> > As Ukai-san said, I also feel using masquerade mode gomacc not good, though.
> 
> Yeah, that's a separate issue. Recent version of CMake support a flag which
> allows injecting a launcher like goma or ccache, e.g.
> -DCMAKE_C_COMPILER_LAUNCHER=/path/to/goma which is what we use for the
> WebAssembly waterfall. Last time I checked (a while ago), the version of CMake
> installed on the bots is too old and doesn't support that, so that's why the
> PNaCl waterfall doesn't use it. For WebAssembly the bot script manually
> downloads a newer CMake.

I doubt it worth paying some efforts to make the script works like so but not to
forget this, I have filed the issue:
https://bugs.chromium.org/p/chromium/issues/detail?id=678857

Powered by Google App Engine
This is Rietveld 408576698